from sqlalchemy import Column, Integer, String
from tea.db import Base
from werkzeug.security import generate_password_hash

class User(Base):
    __tablename__ = 'users'
    id = Column(Integer, primary_key=True)
    name = Column(String(50), unique=True)
    email = Column(String(120), unique=True)
    password = Column(String(255))

    def __init__(self, name=None, email=None, password=None):
        self.name = name
        self.email = email
        self.password = generate_password_hash(password)

    def __repr__(self):
        return '<User %r>' % (self.name)
